Package org.opensaml.saml.common.assertion

# Class ValidationProcessingData

java.lang.Object
org.opensaml.saml.common.assertion.ValidationProcessingData

public class ValidationProcessingData extends Object
Convenience class for holding the `ValidationContext` used to validate an assertion, along with the final `ValidationResult`.

This is useful for storing the pair of post-validation data items on the object metadata of an assertion.

## Field Summary

Fields
Modifier and Type
Field
Description
`private ValidationContext`
`context`
The validation context.
`private ValidationResult`
`result`
The validation result.

## Constructor Summary

Constructors
Constructor
Description
`ValidationProcessingData(ValidationContext validationContext, ValidationResult validationResult)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ValidationContext`
`getContext()`
Get the validation context.
`ValidationResult`
`getResult()`
Get the validation result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### context

@Nonnull private ValidationContext context
The validation context.

### result

@Nonnull private ValidationResult result
The validation result.

## Constructor Details

### ValidationProcessingData

public ValidationProcessingData(@Nonnull ValidationContext validationContext, @Nonnull ValidationResult validationResult)
Constructor.

Parameters:
  `validationContext` - the validation context
  `validationResult` - the validation result

## Method Details

### getContext

@Nonnull public ValidationContext getContext()
Get the validation context.

Returns:
  the validation context

### getResult

@Nonnull public ValidationResult getResult()
Get the validation result.

Returns:
  the validation result